summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbill-auger <mr.j.spam.me@gmail.com>2020-12-04 01:00:16 -0500
committerbill-auger <mr.j.spam.me@gmail.com>2021-11-05 16:25:45 -0400
commitc2721cea86e032ff1affbbb1f265c5ca5f9a63b8 (patch)
treef2f6651f40f1681d406b8cb26908022ef95fe8b9
parent1b0e012308564c5067bfbe822ae8fbab4d7d89a7 (diff)
[icedove]: upgrade to v78.5.0
-rw-r--r--libre/icedove/PKGBUILD233
-rw-r--r--libre/icedove/configure-fix-passing-system-bzip2-ldflags.patch25
-rw-r--r--libre/icedove/distribution.ini9
-rw-r--r--libre/icedove/libre-searchengines.patch914
-rw-r--r--libre/icedove/mozconfig.cfg43
-rw-r--r--libre/icedove/mozilla-1338795-regression.patch11
-rw-r--r--libre/icedove/thunderbird-78.4.3-gpgme-double-armored-fix.patch62
-rw-r--r--libre/icedove/vendor-prefs.js32
8 files changed, 353 insertions, 976 deletions
diff --git a/libre/icedove/PKGBUILD b/libre/icedove/PKGBUILD
index 856c00f11..3621e8f61 100644
--- a/libre/icedove/PKGBUILD
+++ b/libre/icedove/PKGBUILD
@@ -11,103 +11,95 @@
# Contributor: Isaac David <isacdaavid@isacdaavid.info>
# Contributor: bill-auger <bill-auger@programmer.net>
+
# parabola changes and rationale:
# - rebranded to icedove
-# - added makedepends: quilt mozilla-searchplugins python2-blessings
-# - added replaces, conflicts: thunderbird
+# - added makedepends for branding: quilt mozilla-searchplugins imagemagick
# - disabled tests, they break in an environment without network access.
# - disabled geo-location
+
_pkgname=thunderbird
pkgname=icedove
-replaces=("$_pkgname")
epoch=1
-pkgver=68.9.0
+pkgver=78.5.0
pkgrel=1
pkgrel+=.parabola1
-_brandingver=68.6
+_brandingver=78.5
_brandingrel=1
pkgdesc='Standalone mail and news reader based on Mozilla Thunderbird'
-url="https://wiki.parabola.nu/$pkgname"
+url=https://wiki.parabola.nu/${pkgname}
arch=(x86_64)
arch+=(i686 armv7h)
license=(MPL GPL LGPL)
-depends=(gtk3 libxt startup-notification mime-types dbus-glib alsa-lib
- nss hunspell sqlite ttf-font) # libvpx
-depends+=(libicui18n.so libicuuc.so)
-makedepends=(unzip zip diffutils python python2 yasm nasm mesa imake libpulse inetutils xorg-server-xvfb
- autoconf2.13 rust clang llvm gtk2 cbindgen nodejs)
+depends=(
+ glibc gtk3 libgdk-3.so mime-types dbus libdbus-1.so dbus-glib alsa-lib nss
+ hunspell sqlite ttf-font libvpx libvpx.so zlib bzip2 botan libwebp libevent
+ libjpeg-turbo libffi nspr gcc-libs libx11 libxrender libxfixes libxext
+ libxcomposite libxdamage pango libpango-1.0.so cairo gdk-pixbuf2 icu
+ libicui18n.so libicuuc.so freetype2 libfreetype.so fontconfig
+ libfontconfig.so glib2 libglib-2.0.so pixman libpixman-1.so gnupg
+)
+makedepends=(
+ unzip zip diffutils python python-setuptools yasm nasm mesa imake libpulse
+ inetutils xorg-server-xvfb autoconf2.13 rust clang llvm gtk2 cbindgen nodejs
+ gawk perl findutils
+)
+makedepends[15]='llvm10' # FIXME: DEBUG: | rustup: error while loading shared libraries: libLLVM-10.so: cannot open shared object file: No such file or directory
+ # ERROR: Command `rustup which rustc` failed with exit status 127.
makedepends+=(quilt mozilla-searchplugins imagemagick)
-optdepends=('libcanberra: sound support')
+replaces=(${_pkgname})
options=(!emptydirs !makeflags)
source=(https://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/$pkgver/source/thunderbird-$pkgver.source.tar.xz{,.asc}
- $pkgname.desktop)
+ $pkgname.desktop
+ vendor-prefs.js
+ distribution.ini
+ mozconfig.cfg
+ configure-fix-passing-system-bzip2-ldflags.patch
+ thunderbird-78.4.3-gpgme-double-armored-fix.patch)
source+=(https://repo.parabola.nu/other/icedove/${pkgname}_$_brandingver-$_brandingrel.branding.tar.xz{,.sig}
- libre-searchengines.patch
- mozilla-1338795-regression.patch)
+ libre-searchengines.patch)
source_armv7h=(arm-wasm-vfp.patch)
-sha512sums=('891472c95ba6ff46061131504e89010da512a84b0e1dea0482e603fd4c87f11e099280a245c7dd9fc9320c48229c26602565c089d86f1a1f4271b29b6fc606f0'
+sha512sums=('dae49dc0910dd017250643c920c79f03d3ef14bcbafde7fcdb3aaeba2b27a42ef6f88c8de8b961f8bb1c3d1a153bc8988ab43a39eb051d81839cf3b9e8373118'
'SKIP'
'a3c9815491d9bed0440c60f35867a5b8a2a1343521f288035fcc46e651a11b926c75a9eca2d262b43d510a7a7119709b53637f1b00ddbbee8e5b0a4b33d7b8fd'
- '5784493253f9b2b231a7f18d7c3c4a4bb9aec7ac4fa801772ac223342676e388ae0c094b95d89d92c1bd38c2f19feb6f51e074d0ea20228a256b6240ecf34832'
- 'SKIP'
- '3f3160441aa17a50b8bf9f95a0fed8e3428864901d7368409903289f069f51fa94e24b6140bf17981b91b55df77c7c29adb870dda9f1596a77ce1a54a62cac00'
- 'f4e892fc7af85877ef6cedd82313f6c0f335cb676cfb30badaa127c51aed00773212b99f1598f5709d6f481f12264463d6334bcde8e8da38ec1ea666622d28a1')
+ 'e21d30a8b79724eda3488ac2bf9dfeb0c7f6bf39e59c37f17574b529d33043765eb54408a55fcbf6f3afa7a58ca99124992d443cdff23ac5c9bdbff33c75f60f'
+ '31d46f91d9612d30d8553a19d0d309d743467e58b568a4aeea3caf6bd805ba00656561c84a1511c59bce1cf24ba323bfad2cd26a19985f1bf7dfb6d282642972'
+ '636aad861322df5cc3cb9e7b0142a56981b9eeb010bacaa10148d3f74f43bc3c26580475ee5646556acb9980028cb3ffcc1a15788f8039ca0fe57e261457c113'
+ 'e3ed2708b8354015cb3d2c81048d1ce4932d1effbe2b40efa7cf9b45c1b923b9fd708645e2f8aa0136a485a3f7ce6b396b85721aaf535a4a764fd5005fb7e222'
+ '92f4c5946f288b30728382830b99b91980ecd845d1606ab251bbdde5cf53387e966727a23f35a3bf7756ee77e72e478f3fb468668e8c412f552547eeb3408299')
+sha512sums+=('3b757a7c5f1f4aa83405d0dc7bb69b72230e0e2c944f9b5aeff8e22cc8e6a053aeb16e3ca6f450bf5de763a1aba8028bf4f299bdfb6f203239605ea16c40b4ed'
+ 'SKIP'
+ 'be1bf98b65471aa36d1e4a55a24907ac99ddd401daee180dfe26302bad6928f6b4fe5dc6bbc7a96d884237bbd1f6205a4788a82b13fd7e929edbaf64200e0f52')
sha512sums_armv7h=('c25883c4860e511a99d9fbfba5b824145c0862729101721605725f609ca2a41848b741dd100eff390f57031dc5f14af3ea30133de30f75cb20197c420ae20972')
validpgpkeys=(14F26682D0916CDD81E37B6D61B7B526D98F0353) # Mozilla Software Releases <release@mozilla.com>
-validpgpkeys+=(BFA8008A8265677063B11BF47171986E4B745536) # Andreas Grapentin
+validpgpkeys+=(BFA8008A8265677063B11BF47171986E4B745536 # Andreas Grapentin
+ 3954A7AB837D0EA9CFA9798925DB7D9B5A8D4B40) # bill-auger
+
prepare() {
cd $_pkgname-$pkgver
- # see: https://labs.parabola.nu/issues/2267
- # upstream BR: https://bugzilla.mozilla.org/show_bug.cgi?id=1628296
- patch -Np1 -i "$srcdir"/mozilla-1338795-regression.patch
-
- cat >.mozconfig <<END
-ac_add_options --enable-application=comm/mail
-ac_add_options --enable-calendar
-
-ac_add_options --prefix=/usr
-ac_add_options --enable-release
-ac_add_options --enable-linker=gold
-ac_add_options --enable-hardening
-ac_add_options --enable-optimize
-# https://bugzilla.mozilla.org/show_bug.cgi?id=1521249
-#ac_add_options --enable-rust-simd
-# https://bugzilla.mozilla.org/show_bug.cgi?id=1423822
-ac_add_options --disable-elf-hack
+ echo "${noextract[@]}"
-# Branding
-ac_add_options --disable-official-branding
-ac_add_options --enable-update-channel=release
-ac_add_options --with-distribution-id=nu.parabola
-ac_add_options --with-branding=comm/mail/branding/icedove
-
-# System libraries
-ac_add_options --with-system-zlib
-ac_add_options --with-system-bz2
-ac_add_options --with-system-icu
-ac_add_options --with-system-jpeg
-# ac_add_options --with-system-libvpx
-ac_add_options --with-system-nspr
-ac_add_options --with-system-nss
-ac_add_options --enable-system-sqlite
-ac_add_options --enable-system-ffi
-
-# Features
-ac_add_options --enable-alsa
-ac_add_options --disable-jack
-ac_add_options --enable-startup-notification
-ac_add_options --disable-crashreporter
-ac_add_options --disable-updater
-ac_add_options --disable-gconf
-# tests require network access.
-ac_add_options --disable-tests
-END
+ local src
+ for src in "${source[@]}"; do
+ src="${src%%::*}"
+ src="${src##*/}"
+ [[ $src = *.patch ]] || continue
+ [[ $src = libre-searchengines.patch ]] && continue # defer parabola patches
+ [[ $src = arm-wasm-vfp.patch ]] && continue # defer parabola patches
- if [[ $CARCH = arm* ]]; then
- patch -Np1 -i "$srcdir"/arm-wasm-vfp.patch
+ echo "Applying patch $src..."
+ patch -Np1 < "../$src"
+ done
+
+ cp ../mozconfig.cfg .mozconfig
+ sed "s|@PWD@|${PWD@Q}|g" -i .mozconfig
+
+ if [[ ${CARCH} = arm* ]]
+ then
+ patch -Np1 -i "${srcdir}"/arm-wasm-vfp.patch
sed -i '/--enable-linker=gold/d' .mozconfig
sed -i '/--enable-hardening/d' .mozconfig
@@ -126,35 +118,59 @@ ac_add_options --enable-optimize="-g0 -O2"
END
fi
- if [[ $CARCH = i686 ]]; then
+ if [[ ${CARCH} = i686 ]]; then
sed -i 's/--enable-linker=gold/--enable-linker=bfd/' .mozconfig
LDFLAGS+=" -Wl,--no-keep-memory -Wl,--reduce-memory-overheads"
export LDFLAGS
fi
# perform rebranding
- local brandingdir="$srcdir/$pkgname-$_brandingver"
- rm -rf -- comm/mail/branding/$pkgname
- cp -aT -- $brandingdir/$pkgname-branding/ comm/mail/branding/$pkgname
+ local branding_indir="${srcdir}"/${pkgname}-${_brandingver}
+ local branding_outdir=comm/mail/branding/${pkgname}
+ rm -rf -- ${branding_outdir}
+ cp -aT -- "${branding_indir}"/${pkgname}-branding ${branding_outdir}
- export QUILT_PATCHES=$brandingdir/patches
+ export QUILT_PATCHES="${branding_indir}"/patches
export QUILT_REFRESH_ARGS='-p ab --no-timestamps --no-index'
export QUILT_DIFF_ARGS='--no-timestamps'
quilt push -av
- # produce icons
+ # generate icons
for i in 16 22 24 32; do
- rsvg-convert -w $i -h $i "$brandingdir/app-icons/${pkgname}_small.svg" \
- -o "comm/mail/branding/$pkgname/default$i.png"
+ rsvg-convert -w ${i} -h ${i} "${branding_indir}"/app-icons/${pkgname}_small.svg \
+ -o "${branding_outdir}/default${i}.png"
done
for i in 48 64 128 256; do
- rsvg-convert -w $i -h $i "$brandingdir/app-icons/${pkgname}_big.svg" \
- -o "comm/mail/branding/$pkgname/default$i.png"
+ rsvg-convert -w ${i} -h ${i} "${branding_indir}"/app-icons/${pkgname}_big.svg \
+ -o "${branding_outdir}/default${i}.png"
done
- cp "$brandingdir/logo/icedove_icon.svg" "comm/mail/branding/$pkgname/"
+ cp "${branding_indir}"/logo/icedove_icon.svg ${branding_outdir}/
+ cp -av "${branding_indir}"/preview.png comm/mail/themes/linux/mail/preview.png
+
+ # Patch search-engines config
+ echo "applying libre-searchengines.patch"
+ patch -Np1 -i "${srcdir}"/libre-searchengines.patch
+ # TODO: custom searchplugins ID per new format ("ddg" is standard)
+ # where: ID is comm/mail/components/search/extensions/<ID>/
+ # eg: "ddg", "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-labs", "parabola-packages", "parabola-wiki-en", "searx", "wikipedia", "yacy"|g'
+ local remove_engines_sed_cmd='s|.*"google".*"wikipedia".*| "ddg", "wikipedia"| ; s|.*"google".*"wikipedia\(-[^"]*\)".*| "ddg", "wikipedia\1"|'
+ local engines_cfg_dir=comm/mail/components/search/extensions
+ local engines_cfg_file=${engines_cfg_dir}/list.json
+ sed -i "${remove_engines_sed_cmd}" ${engines_cfg_file}
+
+ # Sanity-check search-engines patching
+ local removed_engines_regex='Bing|Google|Seznam|Twitter|Yahoo|Yandex|Яндекс|amazon|bing|google|ebay|twitter'
+ local engines_err_msg="search-engines patch and/or sed command needs re-working"
+ ! grep -E ${removed_engines_regex} ${engines_cfg_file} > /dev/null || ! echo "${engines_err_msg}"
+
+ # Delete unused search engine configs
+ find ${engines_cfg_dir} -mindepth 1 -maxdepth 1 \
+ -not -name ddg \
+ -not -name wikipedia \
+ -not -name list.json \
+ -exec rm -rf {} \;
# Patch and remove anything that's left
- patch -Np1 -i "$srcdir/libre-searchengines.patch"
sed -i '\|Phishing Protection|d
\|UrlClassifier|d
\|URLClassifier|d
@@ -166,11 +182,10 @@ END
\|extensions[.]webservice[.]discoverURL| s|https://services[.]addons[.]mozilla[.]org.\+["][)][;]|https://directory.fsf.org/wiki/Icedove");|g;
' comm/mail/app/profile/all-thunderbird.js
- cp -av $srcdir/$pkgname-$_brandingver/preview.png \
- comm/mail/themes/linux/mail/preview.png
-
# Load our searchplugins
- rm -rv comm/suite/locales/en-US/searchplugins
+ # TODO: this 'searchplugins' directory no longer exists, as of v78
+ # so perhaps the replacement will not be used
+ rm -rv comm/suite/locales/en-US/searchplugins || :
cp -av /usr/lib/mozilla/searchplugins comm/suite/locales/en-US/
}
@@ -201,52 +216,14 @@ build() {
}
package() {
+ optdepends=('libcanberra: sound support')
+
cd $_pkgname-$pkgver
DESTDIR="$pkgdir" ./mach install
- _vendorjs="$pkgdir/usr/lib/$pkgname/defaults/preferences/vendor.js"
- install -Dm644 /dev/stdin "$_vendorjs" <<END
-// Use LANG environment variable to choose locale
-pref("intl.locale.requested", "");
-
-// Use system-provided dictionaries
-pref("spellchecker.dictionary_path", "/usr/share/hunspell");
-
-// Disable default mailer checking.
-pref("mail.shell.checkDefaultMail", false);
-
-// Don't disable our bundled extensions in the application directory
-pref("extensions.autoDisableScopes", 11);
-pref("extensions.shownSelectionUI", true);
-
-// Disable Social API for content
-pref("social.remote-install.enabled", false);
-pref("social.toast-notifications.enabled", false);
-
-// Make sure that whitelisted and directory installs are empty
-pref("social.whitelist", "");
-pref("social.directories", "");
-
-// Disable the GeoLocation API for content
-pref("geo.enabled", false);
-
-// TODO: this "whats new" page should be in the branding package or abslibre
-// Pointing the "Help -> What's new" menu entry to mozilla.debian.net
-//pref("mailnews.start_page.override_url", "http://wiki.debian.org/Icedove/WhatsNew45");
-END
-
- _distini="$pkgdir/usr/lib/$pkgname/distribution/distribution.ini"
- install -Dm644 /dev/stdin "$_distini" <<END
-[Global]
-id=parabola
-version=1.0
-about=Icedove for Parabola GNU/Linux-libre
-
-[Preferences]
-app.distributor=parabola
-app.distributor.channel=$pkgname
-app.partner.parabola=parabola
-END
+ install -Dm 644 ../vendor-prefs.js -t "$pkgdir/usr/lib/$pkgname/defaults/pref"
+ install -Dm 644 ../distribution.ini -t "$pkgdir/usr/lib/$pkgname/distribution"
+ install -Dm 644 ../$pkgname.desktop -t "$pkgdir/usr/share/applications"
for i in 16 22 24 32 48 64 128 256; do
install -Dm644 comm/mail/branding/$pkgname/default${i}.png \
@@ -255,9 +232,6 @@ END
install -Dm644 comm/mail/branding/$pkgname/${pkgname}_icon.svg \
"$pkgdir/usr/share/icons/hicolor/symbolic/apps/$pkgname-symbolic.svg"
- install -Dm644 ../$pkgname.desktop \
- "$pkgdir/usr/share/applications/$pkgname.desktop"
-
# Use system-provided dictionaries
ln -Ts /usr/share/hunspell "$pkgdir/usr/lib/$pkgname/dictionaries"
ln -Ts /usr/share/hyphen "$pkgdir/usr/lib/$pkgname/hyphenation"
@@ -273,4 +247,3 @@ END
ln -srf "$pkgdir/usr/bin/$pkgname" \
"$pkgdir/usr/lib/$pkgname/$pkgname-bin"
}
-
diff --git a/libre/icedove/configure-fix-passing-system-bzip2-ldflags.patch b/libre/icedove/configure-fix-passing-system-bzip2-ldflags.patch
new file mode 100644
index 000000000..0fecdbdbd
--- /dev/null
+++ b/libre/icedove/configure-fix-passing-system-bzip2-ldflags.patch
@@ -0,0 +1,25 @@
+From 9855927c896eaeecb21c1541942ee6d557144183 Mon Sep 17 00:00:00 2001
+From: anthraxx <levente@leventepolyak.net>
+Date: Sun, 8 Nov 2020 13:26:47 +0100
+Subject: [PATCH] configure: fix passing system bzip2 ldflags
+
+---
+ comm/third_party/openpgp.configure | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/comm/third_party/openpgp.configure b/comm/third_party/openpgp.configure
+index 2f9c796..2cbc907 100644
+--- a/comm/third_party/openpgp.configure
++++ b/comm/third_party/openpgp.configure
+@@ -80,7 +80,7 @@ with only_when('--enable-compile-environment'):
+ if bzip2_pkg:
+ cflags = list(bzip2_pkg.cflags)
+ libs = bzip2_pkg.libs
+- return namespace(cflags=cflags, libs=libs, path=(value[0]), )
++ return namespace(cflags=cflags, ldflags=libs, )
+ # Fallback
+ return namespace(
+ ldflags=['-lbz2'],
+--
+2.28.0
+
diff --git a/libre/icedove/distribution.ini b/libre/icedove/distribution.ini
new file mode 100644
index 000000000..46b3acdec
--- /dev/null
+++ b/libre/icedove/distribution.ini
@@ -0,0 +1,9 @@
+[Global]
+id=parabola
+version=1.0
+about=Icedove for Parabola GNU/Linux-libre
+
+[Preferences]
+app.distributor=parabola
+app.distributor.channel=$pkgname
+app.partner.parabola=parabola
diff --git a/libre/icedove/libre-searchengines.patch b/libre/icedove/libre-searchengines.patch
index 52c3a51ba..3518f2d33 100644
--- a/libre/icedove/libre-searchengines.patch
+++ b/libre/icedove/libre-searchengines.patch
@@ -1,50 +1,15 @@
-diff -rupN thunderbird-60.5.1.orig/comm/mail/locales/en-US/chrome/messenger-region/region.properties thunderbird-60.5.1/comm/mail/locales/en-US/chrome/messenger-region/region.properties
---- thunderbird-60.5.1.orig/comm/mail/locales/en-US/chrome/messenger-region/region.properties 2019-03-07 10:38:57.276013048 +0100
-+++ thunderbird-60.5.1/comm/mail/locales/en-US/chrome/messenger-region/region.properties 2019-03-07 11:29:23.255564314 +0100
-@@ -3,9 +3,9 @@
- # file, You can obtain one at http://mozilla.org/MPL/2.0/.
-
- # Search engine order (order displayed in the search bar dropdown)s
--browser.search.order.1=Bing
--browser.search.order.2=Yahoo
--browser.search.order.3=
-+browser.search.order.1=searx
-+browser.search.order.2=DuckDuckGo HTML
-+browser.search.order.3=DuckDuckGo Lite
-
- # To make mapit buttons to disappear in the addressbook, specify empty string. For example:
- # mail.addr_book.mapit_url.format=
-@@ -20,14 +20,12 @@ browser.search.order.3=
- # @ZI == zip code
- # @CO == country
- # Default map service:
--mail.addr_book.mapit_url.format=https://maps.google.com/maps?q=@A1%20@A2%20@CI%20@ST%20@ZI%20@CO
-+mail.addr_book.mapit_url.format=https://nominatim.openstreetmap.org/search.php?polygon=1&q=@A1%2C@A2%2C@CI%2C@ST%2C@ZI%2C@CO
- # List of available map services (up to 5 can be defined here):
--mail.addr_book.mapit_url.1.name=Google Maps
--mail.addr_book.mapit_url.1.format=https://maps.google.com/maps?q=@A1%20@A2%20@CI%20@ST%20@ZI%20@CO
--mail.addr_book.mapit_url.2.name=OpenStreetMap
--mail.addr_book.mapit_url.2.format=https://nominatim.openstreetmap.org/search.php?polygon=1&q=@A1%2C@A2%2C@CI%2C@ST%2C@ZI%2C@CO
-+mail.addr_book.mapit_url.1.name=OpenStreetMap
-+mail.addr_book.mapit_url.1.format=https://nominatim.openstreetmap.org/search.php?polygon=1&q=@A1%2C@A2%2C@CI%2C@ST%2C@ZI%2C@CO
-
--mailnews.messageid_browser.url=https://groups.google.com/search?as_umsgid=%mid
-+mailnews.messageid_browser.url=
-
- # Recognize non-standard versions of "Re:" in subjects from localized versions of MS Outlook et al.
- # Specify a comma-separated list without spaces. For example: mailnews.localizedRe=AW,SV
-diff -rupN thunderbird-60.5.1.orig/comm/mail/components/search/extensions/list.json thunderbird-60.5.1/comm/mail/locales/search/list.json
---- thunderbird-60.5.1.orig/comm/mail/components/search/extensions/list.json 2019-03-07 10:38:57.272679671 +0100
-+++ thunderbird-60.5.1/comm/mail/components/search/extensions/list.json 2019-03-07 11:26:46.920196972 +0100
-@@ -1,858 +1,757 @@
+diff --git a/comm/mail/components/search/extensions/list.json b/comm/mail/components/search/extensions/list.json
+index e183e9b681..9b2045d2fc 100644
+--- a/comm/mail/components/search/extensions/list.json
++++ b/comm/mail/components/search/extensions/list.json
+@@ -1,38 +1,16 @@
{
"default": {
- "searchDefault": "Google",
- "searchOrder": ["Google", "Bing"],
-+ "searchDefault": "searx",
++ "searchDefault": "duckduckgo-html",
"visibleDefaultEngines": [
-- "google", "amazondotcom", "bing", "ddg", "twitter", "wikipedia"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
+ "google", "amazondotcom", "bing", "ddg", "wikipedia"
]
},
- "regionOverrides": {
@@ -67,77 +32,19 @@ diff -rupN thunderbird-60.5.1.orig/comm/mail/components/search/extensions/list.j
"en-US": {
"default": {
"visibleDefaultEngines": [
-- "google", "amazondotcom", "bing", "ddg", "twitter", "wikipedia"
-- ]
+ "google", "amazondotcom", "bing", "ddg", "wikipedia"
+ ]
- },
- "experimental-hidden": {
- "visibleDefaultEngines": [
- "amazon-ca", "amazon-au", "yandex-en", "google"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
+- ]
}
},
"ach": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazondotcom", "ddg", "twitter", "wikipedia"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "af": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazondotcom", "ddg", "wikipedia-af"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "an": {
- "default": {
+@@ -89,18 +67,6 @@
"visibleDefaultEngines": [
-- "google", "bing", "wikipedia-an", "ddg", "twitter"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "ar": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazondotcom", "ddg", "wikipedia-ar"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "as": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "amazon-in", "ddg", "wikipedia-as"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "ast": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "ddg", "wikipedia-ast"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "az": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "amazondotcom", "azerdict", "bing", "ddg", "wikipedia-az", "yandex-az"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "be": {
- "default": {
- "visibleDefaultEngines": [
-- "yandex-by", "google", "ddg", "wikipedia-be", "wikipedia-be-tarask"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
+ "yandex-by", "google", "ddg", "wikipedia-be", "wikipedia-be-tarask"
]
- },
- "BY": {
@@ -154,420 +61,69 @@ diff -rupN thunderbird-60.5.1.orig/comm/mail/components/search/extensions/list.j
}
},
"bg": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "amazondotcom", "ddg", "pazaruvaj", "wikipedia-bg"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "bn": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "amazon-in", "bing", "ddg", "wikipedia-bn"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "bn-BD": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "ddg", "wikipedia-bn"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "bn-IN": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "amazon-in", "bing", "ddg", "wikipedia-bn"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "br": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "amazon-france", "ddg", "freelang", "wikipedia-br"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "bs": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "ddg", "olx", "twitter", "wikipedia-bs"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "ca": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "diec2", "ddg", "twitter", "wikipedia-ca"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "cak": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazondotcom", "ddg", "wikipedia-es"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "crh": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "ddg", "twitter", "wikipedia-crh"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
+@@ -168,7 +134,6 @@
},
"cs": {
"default": {
- "searchOrder": ["Google", "Seznam"],
"visibleDefaultEngines": [
-- "google", "seznam-cz", "ddg", "heureka-cz", "mapy-cz", "wikipedia-cz"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "cy": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "amazon-en-GB", "ddg", "palasprint", "wikipedia-cy"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "da": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazon-en-GB", "ddg", "wikipedia-da"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "de": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "amazon-de", "bing", "ddg", "ecosia", "leo_ende_de", "wikipedia-de"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "dsb": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazon-de", "ddg", "leo_ende_de", "wikipedia-dsb"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "el": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "amazon-en-GB", "bing", "ddg", "wikipedia-el"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
+ "google", "seznam-cz", "ddg", "heureka-cz", "mapy-cz", "wikipedia-cz"
]
- }
- },
- "en-CA": {
- "default": {
+@@ -221,11 +186,6 @@
"visibleDefaultEngines": [
-- "google", "amazon-ca", "bing", "ddg", "twitter", "wikipedia"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
+ "google", "bing", "amazon-en-GB", "chambers-en-GB", "ddg", "wikipedia"
]
- }
- },
- "en-GB": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazon-en-GB", "chambers-en-GB", "ddg", "twitter", "wikipedia"
-- ]
- },
- "experimental-hidden": {
- "visibleDefaultEngines": [
- "yandex-en"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
+- ]
}
},
"en-ZA": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazondotcom", "ddg", "twitter", "wikipedia"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "eo": {
- "default": {
+@@ -268,11 +228,6 @@
"visibleDefaultEngines": [
-- "google", "bing", "amazondotcom", "ddg", "wikipedia-eo"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
+ "google", "bing", "ddg", "mercadolibre-mx", "wikipedia-es"
]
- }
- },
- "es-AR": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "amazondotcom", "drae", "ddg", "mercadolibre-ar", "wikipedia-es"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "es-CL": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "drae", "ddg", "mercadolibre-cl", "wikipedia-es"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "es-ES": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "drae", "ddg", "twitter", "wikipedia-es"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "es-MX": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "ddg", "mercadolibre-mx", "wikipedia-es"
-- ]
- },
- "experimental-hidden": {
- "visibleDefaultEngines": [
- "amazon-mx"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
+- ]
}
},
"et": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "neti-ee", "ddg", "osta-ee", "wikipedia-et", "eki-ee"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "eu": {
- "default": {
+@@ -322,11 +277,6 @@
"visibleDefaultEngines": [
-- "google", "bing", "amazon-en-GB", "ddg", "wikipedia-eu"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
+ "google", "bing", "bolcom-fy-NL", "ddg", "marktplaats-fy-NL", "wikipedia-fy-NL"
]
- }
- },
- "fa": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "amazondotcom", "bing", "ddg", "wikipedia-fa"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "ff": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazon-france", "ddg", "wikipedia-fr"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "fi": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "ddg", "wikipedia-fi"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "fr": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazon-france", "ddg", "qwant", "wikipedia-fr"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "fy-NL": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "bolcom-fy-NL", "ddg", "marktplaats-fy-NL", "wikipedia-fy-NL"
-- ]
- },
- "experimental-hidden": {
- "visibleDefaultEngines": [
- "amazon-nl"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
+- ]
}
},
"ga-IE": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "amazon-en-GB", "ddg", "tearma", "twitter", "wikipedia-ga-IE"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "gd": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "amazon-en-GB", "bbc-alba", "ddg", "faclair-beag", "wikipedia-gd"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "gl": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "amazon-en-GB", "ddg", "wikipedia-gl"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "gn": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazondotcom", "ddg", "twitter", "wikipedia-gn"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "gu-IN": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazon-in", "ddg", "wikipedia-gu"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "he": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "ddg", "wikipedia-he", "morfix-dic"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "hi-IN": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "ddg", "wikipedia-hi"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "hr": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "amazon-en-GB", "bing", "ddg", "eudict", "twitter", "wikipedia-hr"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "hsb": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazon-de", "ddg", "leo_ende_de", "wikipedia-hsb"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "hu": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "ddg", "vatera", "wikipedia-hu"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "hy-AM": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "amazondotcom", "ddg", "list-am", "wikipedia-hy"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "ia": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazondotcom", "ddg", "twitter", "wikipedia-ia"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "id": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "ddg", "wikipedia-id"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "is": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazondotcom", "ddg", "wikipedia-is"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "it": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazon-it", "ddg", "wikipedia-it"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
+@@ -436,7 +386,6 @@
},
"ja-JP-macos": {
"default": {
-- "searchOrder": ["Google", "Yahoo! JAPAN", "Bing", "Amazon.co.jp", "楽天市場", "ヤフオク!", "教えて!goo", "Twitter", "Wikipedia (ja)"],
+- "searchOrder": ["Google", "Yahoo! JAPAN", "Bing", "Amazon.co.jp", "楽天市場", "ヤフオク!", "教えて!goo", "Wikipedia (ja)"],
"visibleDefaultEngines": [
-- "google", "yahoo-jp", "bing", "amazon-jp", "rakuten", "yahoo-jp-auctions", "oshiete-goo", "twitter-ja", "wikipedia-ja", "ddg"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
+ "google", "yahoo-jp", "bing", "amazon-jp", "rakuten", "yahoo-jp-auctions", "oshiete-goo", "wikipedia-ja", "ddg"
]
- }
+@@ -444,7 +393,6 @@
},
"ja": {
"default": {
-- "searchOrder": ["Google", "Yahoo! JAPAN", "Bing", "Amazon.co.jp", "楽天市場", "ヤフオク!", "教えて!goo", "Twitter", "Wikipedia (ja)"],
+- "searchOrder": ["Google", "Yahoo! JAPAN", "Bing", "Amazon.co.jp", "楽天市場", "ヤフオク!", "教えて!goo", "Wikipedia (ja)"],
"visibleDefaultEngines": [
-- "google", "yahoo-jp", "bing", "amazon-jp", "rakuten", "yahoo-jp-auctions", "oshiete-goo", "twitter-ja", "wikipedia-ja", "ddg"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
+ "google", "yahoo-jp", "bing", "amazon-jp", "rakuten", "yahoo-jp-auctions", "oshiete-goo", "wikipedia-ja", "ddg"
]
- }
- },
- "ka": {
- "default": {
+@@ -469,18 +417,6 @@
"visibleDefaultEngines": [
-- "google", "bing", "amazondotcom", "ddg", "twitter", "wikipedia-ka"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "kab": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "ddg", "wikipedia-kab"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "kk": {
- "default": {
- "visibleDefaultEngines": [
-- "yandex-kk", "google", "ddg", "flip", "twitter", "wikipedia-kk"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
+ "yandex-kk", "google", "ddg", "flip", "wikipedia-kk"
]
- },
- "KZ": {
@@ -584,228 +140,33 @@ diff -rupN thunderbird-60.5.1.orig/comm/mail/components/search/extensions/list.j
}
},
"km": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazondotcom", "ddg", "twitter", "wikipedia-km"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "kn": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazon-in", "ddg", "kannadastore", "wikipedia-kn"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "ko": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "ddg", "naver-kr", "daum-kr", "wikipedia-kr"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "lij": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazon-it", "ddg", "wikipedia-lij"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "lo": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "ddg", "wikipedia-lo", "twitter"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "lt": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "wikipedia-lt", "bing", "amazondotcom", "ddg", "twitter"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "ltg": {
- "default": {
+@@ -600,11 +536,6 @@
"visibleDefaultEngines": [
-- "google", "ddg", "salidzinilv", "sslv", "wikipedia-ltg"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
+ "google", "bing", "bolcom-nl", "ddg", "marktplaats-nl", "wikipedia-nl"
]
- }
- },
- "lv": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "ddg", "salidzinilv", "sslv", "wikipedia-lv"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "mai": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazon-in", "ddg", "twitter", "wikipedia-hi"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "mk": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazondotcom", "ddg", "wikipedia-mk"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "ml": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazon-in", "ddg", "wikipedia", "wikipedia-ml"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "mr": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "amazon-in", "ddg", "wikipedia-mr"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "ms": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazondotcom", "ddg", "twitter", "wikipedia-ms"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "my": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazondotcom", "ddg", "twitter", "wikipedia-my"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "nb-NO": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "amazon-en-GB", "bing", "ddg", "gulesider-NO", "bok-NO", "qxl-NO", "wikipedia-NO"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "ne-NP": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "ddg", "twitter", "wikipedia-ne"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "nl": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "bolcom-nl", "ddg", "marktplaats-nl", "wikipedia-nl"
-- ]
- },
- "experimental-hidden": {
- "visibleDefaultEngines": [
- "amazon-nl"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
+- ]
}
},
"nn-NO": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazon-en-GB", "ddg", "gulesider-NO", "bok-NO", "qxl-NO", "wikipedia-NN"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "oc": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "ddg", "twitter", "wikipedia-oc", "wiktionary-oc"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "or": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazon-in", "ddg", "wikipedia-or"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "pa-IN": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazon-in", "ddg", "wikipedia-pa"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "pl": {
- "default": {
+@@ -647,11 +578,6 @@
"visibleDefaultEngines": [
-- "google", "allegro-pl", "ddg", "pwn-pl", "wikipedia-pl", "wolnelektury-pl"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
+ "google", "bing", "ddg", "mercadolivre", "wikipedia-pt"
]
- }
- },
- "pt-BR": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "ddg", "mercadolivre", "twitter", "wikipedia-pt"
-- ]
- },
- "experimental-hidden": {
- "visibleDefaultEngines": [
- "amazon-br"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
+- ]
}
},
"pt-PT": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "amazon-en-GB", "ddg", "priberam", "wikipedia-pt"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "rm": {
- "default": {
+@@ -680,18 +606,6 @@
"visibleDefaultEngines": [
-- "google", "bing", "ddg", "leo_ende_de", "wikipedia-rm"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "ro": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazondotcom", "ddg", "wikipedia-ro"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "ru": {
- "default": {
- "visibleDefaultEngines": [
-- "yandex-ru", "google", "ddg", "ozonru", "priceru", "wikipedia-ru", "mailru"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
+ "yandex-ru", "google", "ddg", "ozonru", "priceru", "wikipedia-ru", "mailru"
]
- },
- "RU": {
@@ -822,98 +183,9 @@ diff -rupN thunderbird-60.5.1.orig/comm/mail/components/search/extensions/list.j
}
},
"si": {
- "default": {
+@@ -776,18 +690,6 @@
"visibleDefaultEngines": [
-- "google", "amazondotcom", "ddg", "wikipedia-si"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "sk": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "azet-sk", "atlas-sk", "ddg", "wikipedia-sk", "zoznam-sk"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "sl": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "ceneji", "ddg", "najdi-si", "odpiralni", "twitter", "wikipedia-sl"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "son": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazon-france", "ddg", "wikipedia-fr"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "sq": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazon-en-GB", "ddg", "wikipedia-sq"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "sr": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "amazon-en-GB", "bing", "ddg", "wikipedia-sr", "pogodak"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "sv-SE": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "allaannonser-sv-SE", "ddg", "prisjakt-sv-SE", "tyda-sv-SE", "wikipedia-sv-SE"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "ta": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "amazon-in", "ddg", "wikipedia-ta"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "te": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "amazon-in", "ddg", "wikipedia-te", "wiktionary-te"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "th": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "amazondotcom", "bing", "ddg", "longdo", "wikipedia-th"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "tl": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazondotcom", "ddg", "twitter", "wikipedia-tl"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "tr": {
- "default": {
- "visibleDefaultEngines": [
-- "yandex-tr", "google", "ddg", "twitter", "wikipedia-tr"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
+ "yandex-tr", "google", "ddg", "wikipedia-tr"
]
- },
- "TR": {
@@ -930,66 +202,9 @@ diff -rupN thunderbird-60.5.1.orig/comm/mail/components/search/extensions/list.j
}
},
"trs": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazondotcom", "ddg", "wikipedia-es"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "uk": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "ddg", "wikipedia-uk", "hotline-ua"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "ur": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazon-in", "ddg", "twitter", "wikipedia-ur"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "uz": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazondotcom", "ddg", "twitter", "wikipedia-uz"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "vi": {
- "default": {
+@@ -844,9 +746,6 @@
"visibleDefaultEngines": [
-- "google", "coccoc", "ddg", "wikipedia-vi"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "wo": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "amazon-france", "ddg", "twitter", "wikipedia-wo"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "xh": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "bing", "ddg", "wikipedia"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- },
- "zh-CN": {
- "default": {
- "visibleDefaultEngines": [
-- "baidu", "google", "bing", "ddg", "wikipedia-zh-CN", "amazondotcn"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
+ "baidu", "google", "bing", "ddg", "wikipedia-zh-CN", "amazondotcn"
]
- },
- "CN": {
@@ -997,10 +212,39 @@ diff -rupN thunderbird-60.5.1.orig/comm/mail/components/search/extensions/list.j
}
},
"zh-TW": {
- "default": {
- "visibleDefaultEngines": [
-- "google", "ddg", "readmoo", "wikipedia-zh-TW"
-+ "duckduckgo-html", "duckduckgo-lite", "internet-archive", "parabola-packages", "parabola-wiki-en", "searx", "seeks", "wikipedia-en", "yacy"
- ]
- }
- }
+diff --git a/comm/mail/locales/en-US/chrome/messenger-region/region.properties b/comm/mail/locales/en-US/chrome/messenger-region/region.properties
+index 8c2ebdc783..2dc0e11ab7 100644
+--- a/comm/mail/locales/en-US/chrome/messenger-region/region.properties
++++ b/comm/mail/locales/en-US/chrome/messenger-region/region.properties
+@@ -3,9 +3,9 @@
+ # file, You can obtain one at http://mozilla.org/MPL/2.0/.
+
+ # Search engine order (order displayed in the search bar dropdown)s
+-browser.search.order.1=Bing
+-browser.search.order.2=Yahoo
+-browser.search.order.3=
++browser.search.order.1=searx
++browser.search.order.2=DuckDuckGo HTML
++browser.search.order.3=DuckDuckGo Lite
+
+ # To make mapit buttons to disappear in the addressbook, specify empty string. For example:
+ # mail.addr_book.mapit_url.format=
+@@ -20,14 +20,12 @@ browser.search.order.3=
+ # @ZI == zip code
+ # @CO == country
+ # Default map service:
+-mail.addr_book.mapit_url.format=https://maps.google.com/maps?q=@A1%20@A2%20@CI%20@ST%20@ZI%20@CO
++mail.addr_book.mapit_url.format=https://nominatim.openstreetmap.org/search.php?polygon=1&q=@A1%2C@A2%2C@CI%2C@ST%2C@ZI%2C@CO
+ # List of available map services (up to 5 can be defined here):
+-mail.addr_book.mapit_url.1.name=Google Maps
+-mail.addr_book.mapit_url.1.format=https://maps.google.com/maps?q=@A1%20@A2%20@CI%20@ST%20@ZI%20@CO
+-mail.addr_book.mapit_url.2.name=OpenStreetMap
+-mail.addr_book.mapit_url.2.format=https://nominatim.openstreetmap.org/search.php?polygon=1&q=@A1%2C@A2%2C@CI%2C@ST%2C@ZI%2C@CO
++mail.addr_book.mapit_url.1.name=OpenStreetMap
++mail.addr_book.mapit_url.1.format=https://nominatim.openstreetmap.org/search.php?polygon=1&q=@A1%2C@A2%2C@CI%2C@ST%2C@ZI%2C@CO
+
+-mailnews.messageid_browser.url=https://groups.google.com/search?as_umsgid=%mid
++mailnews.messageid_browser.url=
+
+ # Recognize non-standard versions of "Re:" in subjects from localized versions of MS Outlook et al.
+ # Specify a comma-separated list without spaces. For example: mailnews.localizedRe=AW,SV
diff --git a/libre/icedove/mozconfig.cfg b/libre/icedove/mozconfig.cfg
new file mode 100644
index 000000000..c2a9dbb3f
--- /dev/null
+++ b/libre/icedove/mozconfig.cfg
@@ -0,0 +1,43 @@
+ac_add_options --enable-application=comm/mail
+ac_add_options --enable-calendar
+
+ac_add_options --prefix=/usr
+ac_add_options --enable-release
+ac_add_options --enable-linker=gold
+ac_add_options --enable-hardening
+ac_add_options --enable-optimize
+ac_add_options --enable-rust-simd
+# https://bugzilla.mozilla.org/show_bug.cgi?id=1423822
+ac_add_options --disable-elf-hack
+
+# Branding
+ac_add_options --disable-official-branding
+ac_add_options --enable-update-channel=release
+ac_add_options --with-distribution-id=nu.parabola
+ac_add_options --with-branding=comm/mail/branding/icedove
+
+# System libraries
+ac_add_options --with-system-zlib
+ac_add_options --with-system-bz2
+ac_add_options --with-system-icu
+ac_add_options --with-system-jpeg
+# does not have APNG support
+# ac_add_options --with-system-png
+ac_add_options --with-system-libvpx
+ac_add_options --with-system-nspr
+ac_add_options --with-system-nss
+ac_add_options --with-system-botan
+ac_add_options --with-system-webp
+ac_add_options --with-system-libevent
+ac_add_options --with-system-ffi
+ac_add_options --with-system-pixman
+
+# Features
+ac_add_options --enable-alsa
+ac_add_options --enable-openpgp
+ac_add_options --enable-calendar
+ac_add_options --disable-jack
+ac_add_options --disable-crashreporter
+ac_add_options --disable-updater
+# tests require network access.
+ac_add_options --disable-tests
diff --git a/libre/icedove/mozilla-1338795-regression.patch b/libre/icedove/mozilla-1338795-regression.patch
deleted file mode 100644
index 2c8cf2112..000000000
--- a/libre/icedove/mozilla-1338795-regression.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- a/comm/mailnews/base/prefs/content/accountUtils.js 2020-04-04 22:28:38.105521722 +0200
-+++ b/comm/mailnews/base/prefs/content/accountUtils.js 2020-04-04 22:28:50.809027238 +0200
-@@ -488,7 +488,7 @@ function msgNewMailAccount(msgWindow, ok
- let existingWindow = Services.wm.getMostRecentWindow("mail:autoconfig");
- if (existingWindow) {
- existingWindow.focus();
-- } else if (AppConstants.MOZ_APP_NAME == "thunderbird") {
-+ } else {
- // disabling modal for the time being, see 688273 REMOVEME
- window.openDialog(
- "chrome://messenger/content/accountcreation/emailWizard.xul",
diff --git a/libre/icedove/thunderbird-78.4.3-gpgme-double-armored-fix.patch b/libre/icedove/thunderbird-78.4.3-gpgme-double-armored-fix.patch
new file mode 100644
index 000000000..ce5b41cc1
--- /dev/null
+++ b/libre/icedove/thunderbird-78.4.3-gpgme-double-armored-fix.patch
@@ -0,0 +1,62 @@
+# HG changeset patch
+# User Kai Engert <kaie@kuix.de>
+# Date 1605644505 -3600
+# Tue Nov 17 21:21:45 2020 +0100
+# Node ID 8eee96dfe5184bfe9b78abb473fb5b66d408d537
+# Parent 997190de89d38dccdb6de5b1e585c2f997d6d6c8
+Bug 1675939 - Detect if output from GPGME.gpgme_op_decrypt_ext is armored. r=PatrickBrunschwig
+
+diff --git a/comm/mail/extensions/openpgp/content/modules/GPGME.jsm b/comm/mail/extensions/openpgp/content/modules/GPGME.jsm
+--- a/comm/mail/extensions/openpgp/content/modules/GPGME.jsm
++++ b/comm/mail/extensions/openpgp/content/modules/GPGME.jsm
+@@ -74,6 +74,8 @@ var GPGME = {
+ throw new Error("gpgme_new failed");
+ }
+
++ GPGMELib.gpgme_set_armor(c1, 1);
++
+ result.exitCode = GPGMELib.gpgme_op_decrypt_ext(
+ c1,
+ GPGMELib.GPGME_DECRYPT_UNWRAP,
+@@ -98,14 +100,35 @@ var GPGME = {
+ ).contents;
+
+ // The result of decrypt(GPGME_DECRYPT_UNWRAP) is an OpenPGP message.
+- // However, GPGME always returns the results as a binary encoding.
+- // GPG 1.12.0 ignored gpgme_set_armor(context, 1) and
+- // gpgme_data_set_encoding(data_plain, GPGME_DATA_ENCODING_ARMOR).
++ // Because old versions of GPGME (e.g. 1.12.0) may return the
++ // results as a binary encoding (despite gpgme_set_armor),
++ // we check if the result looks like an armored message.
++ // If it doesn't we apply armoring ourselves.
++
++ let armor_head = "-----BEGIN PGP MESSAGE-----";
++
++ let head_of_array = ctypes.cast(
++ result_buf,
++ ctypes.char.array(armor_head.length).ptr
++ ).contents;
++
++ let isArmored = false;
+
+- // TODO: Find a way to pass the binary data directly to the
+- // RNP.decrypt function for efficiency.
++ try {
++ // If this is binary, which usually isn't a valid UTF-8
++ // encoding, it will throw an error.
++ let head_of_array_string = head_of_array.readString();
++ if (head_of_array_string == armor_head) {
++ isArmored = true;
++ }
++ } catch (ex) {}
+
+- result.decryptedData = enArmorCB(unwrapped, result_len.value);
++ if (isArmored) {
++ result.decryptedData = unwrapped.readString();
++ } else {
++ result.decryptedData = enArmorCB(unwrapped, result_len.value);
++ }
++
+ GPGMELib.gpgme_free(result_buf);
+ }
+
diff --git a/libre/icedove/vendor-prefs.js b/libre/icedove/vendor-prefs.js
new file mode 100644
index 000000000..701c33e1c
--- /dev/null
+++ b/libre/icedove/vendor-prefs.js
@@ -0,0 +1,32 @@
+// Use LANG environment variable to choose locale
+pref("intl.locale.requested", "");
+
+// Use system-provided dictionaries
+pref("spellchecker.dictionary_path", "/usr/share/hunspell");
+
+// Disable default mailer checking
+pref("mail.shell.checkDefaultMail", false);
+
+// Don't disable our bundled extensions in the application directory
+pref("extensions.autoDisableScopes", 11);
+pref("extensions.shownSelectionUI", true);
+
+// Disable telemetry
+pref("datareporting.healthreport.uploadEnabled", false);
+pref("datareporting.policy.dataSubmissionEnabled", false);
+pref("toolkit.telemetry.archive.enabled", false);
+
+// Disable Social API for content
+pref("social.remote-install.enabled", false);
+pref("social.toast-notifications.enabled", false);
+
+// Make sure that whitelisted and directory installs are empty
+pref("social.whitelist", "");
+pref("social.directories", "");
+
+// Disable the GeoLocation API for content
+pref("geo.enabled", false);
+
+// TODO: this "whats new" page should be in the branding package or abslibre
+// Pointing the "Help -> What's new" menu entry to mozilla.debian.net
+//pref("mailnews.start_page.override_url", "http://wiki.debian.org/Icedove/WhatsNew45");